// -*- c++ -*-

#include <iostream>
#include <vector>

#include <lemon/concept/graph.h>
#include <lemon/concept/ugraph.h>
#include <lemon/smart_graph.h>

#include <lemon/edge_set.h>

#include "test_tools.h"
#include "graph_test.h"
#include "map_test.h"


using namespace lemon;
using namespace lemon::concept;

typedef SmartGraph Graph;

int main() {
  { // checking edge_sets
    checkConcept<StaticGraph, ListEdgeSet<Graph> >();
    checkConcept<UGraph, ListUEdgeSet<Graph> >();
    checkConcept<StaticGraph, SmartEdgeSet<Graph> >();
    checkConcept<UGraph, SmartUEdgeSet<Graph> >();
  }

  std::cout << __FILE__ ": All tests passed.\n";

  return 0;
}
